Perform a forcing umount to avoid EBUSY when umounting everything at
at the pivot_root time.

Signed-off-by: Daniel Lezcano <dlezcano@fr.ibm.com>
---
 src/lxc/conf.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Index: lxc/src/lxc/conf.c
===================================================================
--- lxc.orig/src/lxc/conf.c
+++ lxc/src/lxc/conf.c
@@ -474,7 +474,7 @@ static int setup_rootfs_pivot_root(const
 
 		lxc_list_for_each(iterator, &mountlist) {
 
-			if (!umount(iterator->elem)) {
+			if (!umount2(iterator->elem, MNT_FORCE)) {
 				DEBUG("umounted '%s'", (char *)iterator->elem);
 				lxc_list_del(iterator);
 				continue;



